CVE-2006-7225

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Perl-Compatible Regular Expression (PCRE) library before 6.7 allows context-dependent attackers to cause a denial of service (error or crash) via a regular expression that involves a "malformed POSIX character class", as demonstrated via an invalid character after a [[ sequence.

References

http://lists.opensuse.org/opensuse-security-announce/2008-01/msg00006.html

http://secunia.com/advisories/28041

http://secunia.com/advisories/28658

http://support.avaya.com/elmodocs2/security/ASA-2007-505.htm

http://www.mandriva.com/security/advisories?name=MDVSA-2008:030

http://www.pcre.org/changelog.txt

http://www.redhat.com/support/errata/RHSA-2007-1059.html

http://www.redhat.com/support/errata/RHSA-2007-1068.html

http://www.securityfocus.com/bid/26725

https://bugzilla.redhat.com/show_bug.cgi?id=384761

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10985

Details

Source: MITRE

Published: 2007-12-03

Updated: 2017-10-11

Type: CWE-20

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:perl:pcre:0.91:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:0.92:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:0.93:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:0.94:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:0.95:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:0.96:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:0.97:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:0.98:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:0.99:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.00:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.01:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.02:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.03:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.04:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.05:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.06:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.07:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.08:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:1.09:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:2.0:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:2.01:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:2.02:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:2.03:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:2.04:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:2.05:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:2.06:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:2.07:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:2.08:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.0:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.1:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.2:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.3:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.4:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.5:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.6:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.7:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.8:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:3.9:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:4.0:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:4.1:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:4.2:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:4.3:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:4.4:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:4.5:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:5.0:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:6.0:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:6.1:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:6.2:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:6.3:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:6.4:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:6.5:*:*:*:*:*:*:*

cpe:2.3:a:perl:pcre:6.6:*:*:*:*:*:*:*

Tenable Plugins

View all (10 total)

IDNameProductFamilySeverity
67613Oracle Linux 4 : pcre (ELSA-2007-1068)NessusOracle Linux Local Security Checks
medium
67611Oracle Linux 5 : pcre (ELSA-2007-1059)NessusOracle Linux Local Security Checks
medium
67061CentOS 4 : pcre (CESA-2007:1068)NessusCentOS Local Security Checks
medium
65042Scientific Linux Security Update : pcre on SL4.x, SL3.x i386/x86_64NessusScientific Linux Local Security Checks
medium
41187SuSE9 Security Update : PHP4 (YOU Patch Number 12049)NessusSuSE Local Security Checks
high
29547SuSE 10 Security Update : pcre (ZYPP Patch Number 4689)NessusSuSE Local Security Checks
medium
28367RHEL 4 : pcre (RHSA-2007:1068)NessusRed Hat Local Security Checks
medium
28364RHEL 5 : pcre (RHSA-2007:1059)NessusRed Hat Local Security Checks
medium
28284openSUSE 10 Security Update : pcre (pcre-4696)NessusSuSE Local Security Checks
medium
27849Mandrake Linux Security Advisory : pcre (MDKSA-2007:212)NessusMandriva Local Security Checks
high